Package Details: beancount-fava-git r1238.f17754c-1

Git Clone URL: https://aur.archlinux.org/beancount-fava-git.git (read-only)
Package Base: beancount-fava-git
Description: None
Upstream URL: None
Licenses: MIT
Conflicts: beancount-fava
Provides: beancount-fava
Submitter: ngoonee
Maintainer: ngoonee
Last Packager: ngoonee
Votes: 4
Popularity: 0.033686
First Submitted: 2016-12-18 20:22
Last Updated: 2017-02-06 02:06

Latest Comments

cejota commented on 2018-03-20 19:50

python-simplejson is now a dependency. Running fava without it now raises the following exception:

Traceback (most recent call last):
  File "/usr/bin/fava", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3088, in <module>
    @_call_aside
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3072, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3101, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 574, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 892, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 778, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'simplejson>=2.3.0' distribution was not found and is required by fava

ngoonee commented on 2017-02-06 02:09

Updated, thanks!

tz.mates commented on 2017-02-04 22:26

The Makefile was modified upstream, so the current PKGBUILD will no longer build. The new build command is simply "make" instead of "make 'build-js'".